Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5956 - Global rc-file in wrong place.
Summary: Global rc-file in wrong place.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: xmame
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-14 17:59 UTC by osman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-17 05:44:06 UTC


Attachments (Terms of Use)

Description osman 1999-10-14 17:59:25 UTC
In the version I have
"rh-mirror.redhat.com/redhat/powertools/6.1/i386/xmame-0.36b1.1-2.i386.rpm"
the global config file is installed in the wrong place or
the compiled-in path to it is wrong.
It is installed in "/usr/lib/games/xmame/xmamerc" but it
searches it in "usr/games/lib/xmame/xmamerc" as one can tell
when running "xmame.x11 -h"

Comment 1 Tim Powers 1999-11-22 14:23:59 UTC
Where are you getting xmame.x11 from? Here is a file listing from that package:

$rpm -ql xmame
/usr/doc/xmame-0.36b1.1
/usr/doc/xmame-0.36b1.1/Changes
/usr/doc/xmame-0.36b1.1/LEEME.unix
/usr/doc/xmame-0.36b1.1/MailList.notes
/usr/doc/xmame-0.36b1.1/README.fx
/usr/doc/xmame-0.36b1.1/README.unix
/usr/doc/xmame-0.36b1.1/README.xgl
/usr/doc/xmame-0.36b1.1/TODO
/usr/doc/xmame-0.36b1.1/cheat.dat
/usr/doc/xmame-0.36b1.1/cheat.doc
/usr/doc/xmame-0.36b1.1/credits.unix
/usr/doc/xmame-0.36b1.1/gamelist.txt
/usr/doc/xmame-0.36b1.1/history.dat
/usr/doc/xmame-0.36b1.1/liesmich.unix
/usr/doc/xmame-0.36b1.1/multiplayer-readme.txt
/usr/doc/xmame-0.36b1.1/readme.dos
/usr/doc/xmame-0.36b1.1/whatsnew.txt
/usr/doc/xmame-0.36b1.1/xmame.man
/usr/doc/xmame-0.36b1.1/xmamerc.dist
/usr/doc/xmame-0.36b1.1/xmamerc.dist.i386
/usr/games/mamex
/usr/games/xmame
/usr/lib/games/xmame
/usr/lib/games/xmame/xmamerc

Tim

Comment 2 osman 1999-11-22 20:06:59 UTC
I've got the one from the powertools/6.1
The version is xmame-0.36b1.1-2.i386.rpm
I know how the file-listing of it looks...
Read the problem carefuly please!

Comment 3 Ngo Than 2000-01-14 18:13:59 UTC
i have started xmame -h
and here is the outputs:

....

Files:
 /usr/lib/games/xmame/xmamerc   Global configuration file
 ${HOME}/.xmame/xmamerc         User global configuration file
 ${HOME}/.xmame/<game>rc     Game-dependent user configuration file


it's ok. it searchs configfile in /usr/lib/games/xmame/xmamerc!

Comment 4 osman 2000-01-17 05:44:59 UTC
Sorry that I've bothered you!
Seems like I have made a mistake for the 1st-time ever, and have confused the
self build one with the one in the premade rpm...
But if you would have read it carefully you would have noticed this...
I'm speaking of "xmame.x11 -h" that one is build for X11-ONLY and that is a
different one as in your RPM...
I was using the beta6 ...
So again sorry guys...


Note You need to log in before you can comment on or make changes to this bug.